Subject: bug#74616: 30.0.92; tmm always displays the *Completions* buffer

From: Eli Zaretskii <[email-masked]>
Date: Mon, 09 Dec 2024 22:06:48 +0200

> From: Daniel Mendler <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,  Eli Zaretskii
>  <[email-masked]>,  [email-masked]
> Date: Mon, 09 Dec 2024 20:28:06 +0100
> 
> Juri Linkov <[email-masked]> writes:
> 
> > One small detail that could be added later is to extend
> > the customization type of `completion-category-overrides'
> > :value-type with `eager-display'.  Since currently
> > only programmatic use is supported.
> 
> Okay, I will add this to to custom type.

Please also add a :version tag.

The doc string of the defcustom could also be improved.  I think the
first line should say

  Whether completion commands should display *Completions* buffer eagerly.

Also, the part about requesting the eager display via the
`eager-display' metadata should probably be expanded, because it's too
terse to be useful.  I would also suggest to explain what "eagerly"
means in this ciontext.

Thanks.